import { post, upload } from "@/request/axios.js";
import { ref } from "vue";
export const getEnterpriseList = (params) => post("/corpinfo/list", params); // 获取企业列表
export const getEnterpriseInfo = (params) => post("/corpinfo/goEdit", params); // 获取企业信息
export const setEnterpriseInfo = (params) => upload("/corpinfo/edit", params); // 修改企业信息
export const getIndustryQualificationsList = (params) =>
  post("/qualifications/list", params); // 行业资质列表
export const setIndustryQualificationsDelete = (params) =>
  post("/qualifications/delete", params); // 行业资质删除
export const getIndustryQualificationsView = (params) =>
  post("/qualifications/goEdit", params); // 行业资质查看
export const setIndustryQualificationsAdd = (params) =>
  post("/qualifications/add", params); // 行业资质添加
export const setIndustryQualificationsEdit = (params) =>
  post("/qualifications/edit", params); // 行业资质修改
export const getDepartmentList = (params) => post("/department/list", params); // 组织机构列表
export const getDepartmentView = (params) => post("/department/goEdit", params); // 组织机构查看
export const setDepartmentDelete = (params) =>
  post("/department/delete", params); // 组织机构删除
export const setDepartmentAdd = (params) => post("/department/add", params); // 组织机构添加
export const setDepartmentEdit = (params) => post("/department/edit", params); // 组织机构修改
export const getPostList = (params) => post("/post/list", params); // 岗位管理列表
export const getPostView = (params) => post("/post/goEdit", params); // 岗位管理查看
export const setPostDelete = (params) => post("/post/delete", params); // 岗位管理删除
export const setPostAdd = (params) => upload("/post/add", params); // 岗位管理添加
export const setPostEdit = (params) => upload("/post/edit", params); // 岗位管理修改
export const getUserList = (params) => post("/user/list", params); // 用户管理列表
export const setUserDelete = (params) => post("/user/deleteUser", params); // 用户管理删除
export const setUserResetPassword = (params) =>
  post("/corpinfo/resetPwd", params); // 用户管理重置密码
export const getUserScheduling = (params) =>
  post("/shiftworkrules/listAll", params); // 用户管理获取排班
export const setUserImport = (params) => upload("/user/readExcel2", params); // 用户管理导入
export const setUserLearnersImport = (params) =>
  upload("/user/readExcel3", params); // 用户管理在线学习人员导入
export const getUserInfo = (params) => post("/user/goAddUser", params); // 用户管理添加获取信息
export const getUserCurrentShiftList = (params) =>
  post("/shiftworkperiod/listPeriods", params); // 用户管理当前班次列表
export const getUserScheduleView = (params) =>
  post("/shiftworkperiod/getWorkDate", params); // 用户管理查看排班表
export const setDictionaryDelete = (params) =>
  post("/dictionariesCorp/delete", params); // 数据字典删除
export const setUserAdd = (params) => post("/user/saveUser", params); // 用户管理添加
export const setUserEdit = (params) => post("/user/editUser", params); // 用户管理修改
export const getUserView = (params) => post("/user/goEditUser", params); // 用户管理查看
export const getElectronicFenceList = (params) =>
  post("/electronicfence/list", params); // 电子围栏区域列表
export const setElectronicFenceData = (params) =>
  post("/electronicfence/save", params); // 电子围栏区域新增
export const setElectronicFenceDelete = (params) =>
  post("/electronicfence/removeByIds", params); // 电子围栏区域新增
export const setElectronicFenceEdit = (params) =>
  post("/electronicfence/edit", params); // 电子围栏区域新增
export const getElectronicFenceView = (params) =>
  post("/electronicfence/goEdit", params); // 电子围栏区域详情
export const getFreightTrailerList = (params) => post("/freightTrailer/list", params); // 货运挂车列表
export const getFreightTrailerView = (params) => post("/freightTrailer/goEdit", params); // 货运挂车查看
export const setFreightTrailerAdd = (params) => post("/freightTrailer/add", params); // 货运挂车新增
export const setFreightTrailerEdit = (params) => post("/freightTrailer/edit", params); // 货运挂车修改
export const setFreightTrailerDelete = (params) => post("/freightTrailer/delete", params); // 货运挂车删除
const getCorpList = (params) => post("/freightTrailer/corpList", params)
export const getFreightTrailerCorpList = async () => {
    const resData = await getCorpList()
    return ref(resData.list);
};// 货运挂车 企业列表
export const getFreightTrailerCorpList1 = async () => {
    const resData = await getCorpList()
    return resData.list;
};// 货运挂车 企业列表
